* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 1.5rem;
    min-height: 500vh;
}

.outer-container {
    border: 1px dashed black;
    width: 100vw;
    height: 60vh;
    margin: 0px;
}

.outer-container2 {
    border: 1px dashed black;
    width: 75vw;
    height: 90vh;
    margin: 0px auto;
    position: relative;
}
.outer-container3 {
    border: 1px dashed black;
    width: 75vw;
    height: 90vh;
    margin: 0px auto;
    position: relative;
}


.inner-container {
    border: 1px solid purple;
    width: 40vw;
    height: 50vh;
    margin: 200px auto;
    
    
}

.box {
    width: 150px;
    height: 150px;
    padding: 1rem;
    
}

/* using "absolute" must be followed by directions. */
/* its parent container must have the "relative" property */
.absolute {
    position: absolute;
    background-color: blue;
    color: white;
    top: 0;
    left: 0;
    z-index: 1;
    /* "z-index" for wrapping */
}

/* "relative" means it is already relative to its parent container. */
/* .relative {
    background-color: red;
    
    top: 150px;
    left: 150px;
    position: relative;
} */
 
/* "fixed" is relative to the screen. */
.fixed {
    background-color: green;
    position: fixed;
    top: 0px;
    left: 0px;
}

.sticky {
    background-color: black;
    color: white;
    width: 100%;
    position: sticky;
    top: 0;
}